@echo off

setlocal

if not exist EXML.jar goto error_NoEXML
if not exist dom.jar goto error_Nodom
if not exist sax.jar goto error_Nosax

@echo on

jarsigner -keystore .keystore -storepass keystore.password -keypass Pipes.password EXML.jar Pipes
jarsigner -keystore .keystore -storepass keystore.password -keypass Pipes.password dom.jar Pipes
jarsigner -keystore .keystore -storepass keystore.password -keypass Pipes.password sax.jar Pipes

@echo off

goto end

:error_NoEXML
echo Error: attempting to non-existent file EXML.jar

goto end

:error_Nodom
echo Error: attempting to non-existent file dom.jar

goto end

:error_Nosax
echo Error: attempting to non-existent file sax.jar

goto end

:end

endlocal
