package edu.utexas.cs.surdules.pipes.model.statistics;

import java.util.Comparator;

/**
 * @author <A HREF="mailto:razvan.surdulescu@post.harvard.edu">Razvan Surdulescu</A> (c) 2003
 * <BR>
 * You may use and distribute this software for free provided you include
 * this copyright notice. You may not sell this software, use my name for
 * publicity reasons or modify the code without permission from me.
 */
public class TimePopulationPairComparator implements Comparator {
    public int compare(Object o1, Object o2) {
        TimePopulationPair p1 = (TimePopulationPair) o1;
        TimePopulationPair p2 = (TimePopulationPair) o2;

        if (p1.time < p2.time) {
            return -1;
        } else if (p1.time == p2.time) {
            return p1.hashCode() - p2.hashCode();
        } else {
            return 1;
        }
    }
}
