package edu.utexas.cs.surdules.pipes.view;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.FlowLayout;
import java.awt.Frame;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * @author <A HREF="mailto:razvan.surdulescu@post.harvard.edu">Razvan Surdulescu</A> (c) 2003
 * <BR>
 * You may use and distribute this software for free provided you include
 * this copyright notice. You may not sell this software, use my name for
 * publicity reasons or modify the code without permission from me.
 */
public class AboutUI extends JDialog {
    public AboutUI(Frame owner, String name) {
        super(owner, name, true);

        Container contentPane = getContentPane();
        contentPane.setLayout(new BorderLayout());

        JLabel label = new JLabel();
        label.setText(
                "<html>" +
                "<center>" +
                "<h2><font color=\"red\">Pipes</font></h2>" +
                "<h3>Discrete Event Simulator</h3>" +
                "Inspired by <a href=\"http://www.hyperformix.com/\">HyPerformix</a> " +
                "<a href=\"http://www.hyperformix.com/products/workbench.htm\">Workbench</a>" +
                "<p>" +
                "Written by <a href=\"mailto:razvan.surdulescu@post.harvard.edu\">Razvan Surdulescu</a> (c) 2003" +
                "<p>" +
                "Java Version: " + System.getProperty("java.version") +
                "<p>" +
                "Java Vendor: " + System.getProperty("java.vendor") +
                "<p>" +
                "Operating System Name: " + System.getProperty("os.name") +
                "<p>" +
                "Operating System Version: " + System.getProperty("os.version") +
                "<p>" +
                "<p>" +
                "You may use and distribute this software for free provided you include" +
                "this copyright notice. You may not sell this software, use my name for" +
                "publicity reasons or modify the code without permission from me." +
                "<p>" +
                "</center>" +
                "</html>"
        );

        JPanel button = new JPanel(new FlowLayout(FlowLayout.CENTER));

        JButton ok = new JButton("OK");
        ok.setToolTipText("Dismiss");
        ok.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                dispose();
            }
        });

        button.add(ok);

        contentPane.add(button, BorderLayout.SOUTH);
        contentPane.add(label, BorderLayout.CENTER);

        setLocationRelativeTo(owner);

        pack();
    }
}
